"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Kafka = void 0;
class Kafka {
    constructor() {
        this.name = 'kafka';
        this.displayName = 'Kafka';
        this.documentationUrl = 'kafka';
        this.properties = [
            {
                displayName: 'Client ID',
                name: 'clientId',
                type: 'string',
                default: '',
                placeholder: 'my-app',
            },
            {
                displayName: 'Brokers',
                name: 'brokers',
                type: 'string',
                default: '',
                placeholder: 'kafka1:9092,kafka2:9092',
            },
            {
                displayName: 'SSL',
                name: 'ssl',
                type: 'boolean',
                default: true,
            },
            {
                displayName: 'Username',
                name: 'username',
                type: 'string',
                default: '',
                description: 'Optional username if authenticated is required.',
            },
            {
                displayName: 'Password',
                name: 'password',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
                description: 'Optional password if authenticated is required.',
            },
        ];
    }
}
exports.Kafka = Kafka;
//# sourceMappingURL=Kafka.credentials.js.map