"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OAuth2Api = void 0;
class OAuth2Api {
    constructor() {
        this.name = 'oAuth2Api';
        this.displayName = 'OAuth2 API';
        this.documentationUrl = 'httpRequest';
        this.properties = [
            {
                displayName: 'Authorization URL',
                name: 'authUrl',
                type: 'string',
                default: '',
                required: true,
            },
            {
                displayName: 'Access Token URL',
                name: 'accessTokenUrl',
                type: 'string',
                default: '',
                required: true,
            },
            {
                displayName: 'Client ID',
                name: 'clientId',
                type: 'string',
                default: '',
                required: true,
            },
            {
                displayName: 'Client Secret',
                name: 'clientSecret',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
                required: true,
            },
            {
                displayName: 'Scope',
                name: 'scope',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Auth URI Query Parameters',
                name: 'authQueryParameters',
                type: 'string',
                default: '',
                description: 'For some services additional query parameters have to be set which can be defined here.',
                placeholder: 'access_type=offline',
            },
            {
                displayName: 'Authentication',
                name: 'authentication',
                type: 'options',
                options: [
                    {
                        name: 'Body',
                        value: 'body',
                        description: 'Send credentials in body',
                    },
                    {
                        name: 'Header',
                        value: 'header',
                        description: 'Send credentials as Basic Auth header',
                    },
                ],
                default: 'header',
                description: 'Resource to consume.',
            },
        ];
    }
}
exports.OAuth2Api = OAuth2Api;
//# sourceMappingURL=OAuth2Api.credentials.js.map