"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.companyFields = exports.companyOperations = void 0;
exports.companyOperations = [
    {
        displayName: 'Operation',
        name: 'operation',
        type: 'options',
        displayOptions: {
            show: {
                resource: [
                    'company',
                ],
            },
        },
        options: [
            {
                name: 'Enrich',
                value: 'enrich',
                description: 'Look up person and company data based on an email or domain',
            },
            {
                name: 'Autocomplete',
                value: 'autocomplete',
                description: 'Auto-complete company names and retrieve logo and domain',
            },
        ],
        default: 'enrich',
        description: 'The operation to perform.',
    },
];
exports.companyFields = [
    {
        displayName: 'Domain',
        name: 'domain',
        type: 'string',
        default: '',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'company',
                ],
                operation: [
                    'enrich',
                ],
            },
        },
        description: 'The domain to look up.',
    },
    {
        displayName: 'Additional Fields',
        name: 'additionalFields',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                resource: [
                    'company',
                ],
                operation: [
                    'enrich',
                ],
            },
        },
        options: [
            {
                displayName: 'Company Name',
                name: 'companyName',
                type: 'string',
                default: '',
                description: 'The name of the company.',
            },
            {
                displayName: 'Facebook',
                name: 'facebook',
                type: 'string',
                default: '',
                description: 'The Facebook URL for the company.',
            },
            {
                displayName: 'Linkedin',
                name: 'linkedin',
                type: 'string',
                default: '',
                description: 'The LinkedIn URL for the company.',
            },
            {
                displayName: 'Twitter',
                name: 'twitter',
                type: 'string',
                default: '',
                description: 'The Twitter handle for the company.',
            },
        ],
    },
    {
        displayName: 'Name',
        name: 'name',
        type: 'string',
        default: '',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'company',
                ],
                operation: [
                    'autocomplete',
                ],
            },
        },
        description: 'Name is the partial name of the company.',
    },
];
//# sourceMappingURL=CompanyDescription.js.map