"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.facebookApiRequest = void 0;
async function facebookApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    let credentials;
    if (this.getNode().name.includes('Trigger')) {
        credentials = this.getCredentials('facebookGraphAppApi');
    }
    else {
        credentials = this.getCredentials('facebookGraphApi');
    }
    qs.access_token = credentials.accessToken;
    const options = {
        headers: {
            accept: 'application/json,text/*;q=0.99',
        },
        method,
        qs,
        body,
        gzip: true,
        uri: uri || `https://graph.facebook.com/v8.0${resource}`,
        json: true,
    };
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        if (error.response.body && error.response.body.error) {
            const message = error.response.body.error.message;
            throw new Error(`Facebook Trigger error response [${error.statusCode}]: ${message}`);
        }
        throw new Error(error);
    }
}
exports.facebookApiRequest = facebookApiRequest;
//# sourceMappingURL=GenericFunctions.js.map