"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.taskFields = exports.taskOperations = void 0;
exports.taskOperations = [
    {
        displayName: 'Operation',
        name: 'operation',
        type: 'options',
        displayOptions: {
            show: {
                resource: [
                    'task',
                ],
            },
        },
        options: [
            {
                name: 'Create',
                value: 'create',
                description: 'Create a new task',
            },
            {
                name: 'Delete',
                value: 'delete',
                description: 'Delete a task',
            },
            {
                name: 'Get',
                value: 'get',
                description: 'Get data of a task',
            },
            {
                name: 'Get All',
                value: 'getAll',
                description: 'Get data of all tasks',
            },
        ],
        default: 'create',
        description: 'The operation to perform.',
    },
];
exports.taskFields = [
    {
        displayName: 'Additional Fields',
        name: 'additionalFields',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                operation: [
                    'create',
                ],
                resource: [
                    'task',
                ],
            },
        },
        options: [
            {
                displayName: 'Client',
                name: 'client',
                type: 'options',
                typeOptions: {
                    loadOptionsMethod: 'getClients',
                },
                default: '',
            },
            {
                displayName: 'Custom Value 1',
                name: 'customValue1',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Custom Value 2',
                name: 'customValue2',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Description',
                name: 'description',
                type: 'string',
                typeOptions: {
                    alwaysOpenEditWindow: true,
                },
                default: '',
            },
            {
                displayName: 'Project',
                name: 'project',
                type: 'options',
                typeOptions: {
                    loadOptionsMethod: 'getProjects',
                },
                default: '',
            },
        ],
    },
    {
        displayName: 'Time Logs',
        name: 'timeLogsUi',
        placeholder: 'Add Time Log',
        type: 'fixedCollection',
        typeOptions: {
            multipleValues: true,
        },
        displayOptions: {
            show: {
                resource: [
                    'task',
                ],
                operation: [
                    'create',
                ],
            },
        },
        default: {},
        options: [
            {
                name: 'timeLogsValues',
                displayName: 'Time Log',
                values: [
                    {
                        displayName: 'Start Date',
                        name: 'startDate',
                        type: 'dateTime',
                        default: '',
                    },
                    {
                        displayName: 'End Date',
                        name: 'endDate',
                        type: 'dateTime',
                        default: '',
                    },
                    {
                        displayName: 'Duration (Hours)',
                        name: 'duration',
                        type: 'number',
                        typeOptions: {
                            minValue: 0,
                        },
                        default: 0,
                    },
                ],
            },
        ],
    },
    {
        displayName: 'Task ID',
        name: 'taskId',
        type: 'string',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'task',
                ],
                operation: [
                    'delete',
                ],
            },
        },
    },
    {
        displayName: 'Task ID',
        name: 'taskId',
        type: 'string',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'task',
                ],
                operation: [
                    'get',
                ],
            },
        },
    },
    {
        displayName: 'Options',
        name: 'options',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                operation: [
                    'get',
                ],
                resource: [
                    'task',
                ],
            },
        },
        options: [
            {
                displayName: 'Include',
                name: 'include',
                type: 'options',
                options: [
                    {
                        name: 'Client',
                        value: 'client',
                    },
                ],
                default: 'client',
            },
        ],
    },
    {
        displayName: 'Return All',
        name: 'returnAll',
        type: 'boolean',
        displayOptions: {
            show: {
                resource: [
                    'task',
                ],
                operation: [
                    'getAll',
                ],
            },
        },
        default: false,
        description: 'If all results should be returned or only up to a given limit.',
    },
    {
        displayName: 'Limit',
        name: 'limit',
        type: 'number',
        displayOptions: {
            show: {
                resource: [
                    'task',
                ],
                operation: [
                    'getAll',
                ],
                returnAll: [
                    false,
                ],
            },
        },
        typeOptions: {
            minValue: 1,
            maxValue: 60,
        },
        default: 50,
        description: 'How many results to return.',
    },
    {
        displayName: 'Options',
        name: 'options',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                operation: [
                    'getAll',
                ],
                resource: [
                    'task',
                ],
            },
        },
        options: [
            {
                displayName: 'Include',
                name: 'include',
                type: 'options',
                options: [
                    {
                        name: 'Client',
                        value: 'client',
                    },
                ],
                default: 'client',
            },
        ],
    },
];
//# sourceMappingURL=TaskDescription.js.map