"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openThesaurusApiRequest = void 0;
async function openThesaurusApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    try {
        let options = {
            headers: {
                'User-Agent': 'https://n8n.io',
            },
            method,
            qs,
            body,
            uri: uri || `https://www.openthesaurus.de${resource}`,
            json: true,
        };
        options = Object.assign({}, options, option);
        options.qs.format = 'application/json';
        return await this.helpers.request(options);
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.message) {
            const errorBody = error.response.body;
            throw new Error(`OpenThesaurus error response [${error.statusCode}]: ${errorBody.message}`);
        }
        throw error;
    }
}
exports.openThesaurusApiRequest = openThesaurusApiRequest;
//# sourceMappingURL=GenericFunctions.js.map