"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateJSON = exports.phantombusterApiRequest = void 0;
async function phantombusterApiRequest(method, path, body = {}, qs = {}, option = {}) {
    const credentials = this.getCredentials('phantombusterApi');
    const options = {
        headers: {
            'X-Phantombuster-Key': credentials.apiKey,
        },
        method,
        body,
        qs,
        uri: `https://api.phantombuster.com/api/v2${path}`,
        json: true,
    };
    try {
        if (Object.keys(body).length === 0) {
            delete options.body;
        }
        return await this.helpers.request.call(this, options);
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.error) {
            const message = error.response.body.error;
            throw new Error(`Phantombuster error response [${error.statusCode}]: ${message}`);
        }
        throw error;
    }
}
exports.phantombusterApiRequest = phantombusterApiRequest;
function validateJSON(json, name) {
    let result;
    try {
        result = JSON.parse(json);
    }
    catch (exception) {
        throw new Error(`${name} must provide a valid JSON`);
    }
    return result;
}
exports.validateJSON = validateJSON;
//# sourceMappingURL=GenericFunctions.js.map