"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pushcutApiRequest = void 0;
async function pushcutApiRequest(method, path, body = {}, qs = {}, uri, option = {}) {
    const credentials = this.getCredentials('pushcutApi');
    const options = {
        headers: {
            'API-Key': credentials.apiKey,
        },
        method,
        body,
        qs,
        uri: uri || `https://api.pushcut.io/v1${path}`,
        json: true,
    };
    try {
        if (Object.keys(body).length === 0) {
            delete options.body;
        }
        if (Object.keys(option).length !== 0) {
            Object.assign(options, option);
        }
        return await this.helpers.request.call(this, options);
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.error) {
            const message = error.response.body.error;
            throw new Error(`Pushcut error response [${error.statusCode}]: ${message}`);
        }
        throw error;
    }
}
exports.pushcutApiRequest = pushcutApiRequest;
//# sourceMappingURL=GenericFunctions.js.map