"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.segmentApiRequest = void 0;
async function segmentApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    const credentials = this.getCredentials('segmentApi');
    if (credentials === undefined) {
        throw new Error('No credentials got returned!');
    }
    const base64Key = Buffer.from(`${credentials.writekey}:`).toString('base64');
    const options = {
        headers: {
            Authorization: `Basic ${base64Key}`,
            'Content-Type': 'application/json',
        },
        method,
        qs,
        body,
        uri: uri || `https://api.segment.io/v1${resource}`,
        json: true,
    };
    if (!Object.keys(body).length) {
        delete options.body;
    }
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        throw new Error('Segment Error: ' + error);
    }
}
exports.segmentApiRequest = segmentApiRequest;
//# sourceMappingURL=GenericFunctions.js.map