"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendyApiRequest = void 0;
async function sendyApiRequest(method, path, body = {}, qs = {}, option = {}) {
    const credentials = this.getCredentials('sendyApi');
    body.api_key = credentials.apiKey;
    body.boolean = true;
    const options = {
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
        method,
        form: body,
        qs,
        uri: `${credentials.url}${path}`,
    };
    try {
        return await this.helpers.request.call(this, options);
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.error) {
            let errors = error.response.body.error.errors;
            errors = errors.map((e) => e.message);
            throw new Error(`Sendy error response [${error.statusCode}]: ${errors.join('|')}`);
        }
        throw error;
    }
}
exports.sendyApiRequest = sendyApiRequest;
//# sourceMappingURL=GenericFunctions.js.map