"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SIGNL4ApiRequest = void 0;
async function SIGNL4ApiRequest(method, body, query = {}, option = {}) {
    const credentials = this.getCredentials('signl4Api');
    const teamSecret = credentials === null || credentials === void 0 ? void 0 : credentials.teamSecret;
    let options = {
        headers: {
            'Accept': '*/*',
        },
        method,
        body,
        qs: query,
        uri: `https://connect.signl4.com/webhook/${teamSecret}`,
        json: true,
    };
    if (!Object.keys(body).length) {
        delete options.body;
    }
    if (!Object.keys(query).length) {
        delete options.qs;
    }
    options = Object.assign({}, options, option);
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.details) {
            throw new Error(`SIGNL4 error response [${error.statusCode}]: ${error.response.body.details}`);
        }
        throw error;
    }
}
exports.SIGNL4ApiRequest = SIGNL4ApiRequest;
//# sourceMappingURL=GenericFunctions.js.map