import { IDataObject } from 'n8n-workflow';
import { TLP } from './AlertInterface';
export interface ICase {
    id?: string;
    title?: string;
    description?: string;
    severity?: number;
    startDate?: Date;
    owner?: string;
    flag?: boolean;
    tlp?: TLP;
    tags?: string[];
    resolutionStatus?: CaseResolutionStatus;
    impactStatus?: CaseImpactStatus;
    summary?: string;
    endDate?: Date;
    metrics?: IDataObject;
    status?: CaseStatus;
    caseId?: number;
    mergeInto?: string;
    mergeFrom?: string[];
    createdBy?: string;
    createdAt?: Date;
    updatedBy?: string;
    upadtedAt?: Date;
}
export declare enum CaseStatus {
    OPEN = "Open",
    RESOLVED = "Resolved",
    DELETED = "Deleted"
}
export declare enum CaseResolutionStatus {
    INDETERMINATE = "Indeterminate",
    FALSEPOSITIVE = "FalsePositive",
    TRUEPOSITIVE = "TruePositive",
    OTHER = "Other",
    DUPLICATED = "Duplicated"
}
export declare enum CaseImpactStatus {
    NOIMPACT = "NoImpact",
    WITHIMPACT = "WithImpact",
    NOTAPPLICABLE = "NotApplicable"
}
