"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.twistApiRequest = void 0;
async function twistApiRequest(method, endpoint, body = {}, qs = {}, option = {}) {
    const options = {
        method,
        body,
        qs,
        uri: `https://api.twist.com/api/v3${endpoint}`,
        json: true,
    };
    if (Object.keys(body).length === 0) {
        delete options.body;
    }
    if (Object.keys(qs).length === 0) {
        delete options.qs;
    }
    Object.assign(options, option);
    try {
        return await this.helpers.requestOAuth2.call(this, 'twistOAuth2Api', options);
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.error_string) {
            const message = error.response.body.error_string;
            throw new Error(`Twist error response [${error.statusCode}]: ${message}`);
        }
        throw error;
    }
}
exports.twistApiRequest = twistApiRequest;
//# sourceMappingURL=GenericFunctions.js.map