"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateJSON = exports.veroApiRequest = void 0;
async function veroApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    const credentials = this.getCredentials('veroApi');
    if (credentials === undefined) {
        throw new Error('No credentials got returned!');
    }
    let options = {
        method,
        qs,
        body,
        form: Object.assign({ auth_token: credentials.authToken }, body),
        uri: uri || `https://api.getvero.com/api/v2${resource}`,
        json: true,
    };
    options = Object.assign({}, options, option);
    if (Object.keys(options.body).length === 0) {
        delete options.body;
    }
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        let errorMessage = error.message;
        if (error.response.body) {
            errorMessage = error.response.body.message || error.response.body.Message || error.message;
        }
        throw new Error(errorMessage);
    }
}
exports.veroApiRequest = veroApiRequest;
function validateJSON(json) {
    let result;
    try {
        result = JSON.parse(json);
    }
    catch (exception) {
        result = undefined;
    }
    return result;
}
exports.validateJSON = validateJSON;
//# sourceMappingURL=GenericFunctions.js.map